[SCM] live-boot branch, debian-next, updated. debian/3.0_b3-1-1-g6105a1c
Daniel Baumann
daniel at debian.org
Thu Sep 27 08:36:47 UTC 2012
The following commit has been merged in the debian-next branch:
commit 6105a1c5b4c542fbc44fa1a8d7635b0781c66f95
Author: Daniel Baumann <daniel at debian.org>
Date: Thu Sep 27 10:36:38 2012 +0200
Dropping specifics for squeeze based distributions.
diff --git a/scripts/boot/3020-swapon b/scripts/boot/3020-swapon
index 7541c26..3df90de 100755
--- a/scripts/boot/3020-swapon
+++ b/scripts/boot/3020-swapon
@@ -29,15 +29,6 @@ Swap ()
LIVE_SWAP_DEVICES="${LIVE_SWAP_DEVICES:-/dev/sd* /dev/vd*}"
- if [ -e /run ]
- then
- # wheezy
- _FSTAB="/root/etc/fstab.d/swap"
- else
- # squeeze
- _FSTAB="/root/etc/fstab"
- fi
-
for _DEVICE in $(echo ${LIVE_SWAP_DEVICES} | sed -e 's|,| |g')
do
if [ ! -b "${_DEVICE}" ]
@@ -57,15 +48,15 @@ Swap ()
done
# Remove all auto swap entries
- if grep -qs "swap swap" "${_FSTAB}"
+ if grep -qs "swap swap" /root/etc/fstab.d/swap
then
- grep -v "swap swap" "${_FSTAB}" > "${_FSTAB}".tmp
- mv "${_FSTAB}".tmp "${_FSTAB}"
+ grep -v "swap swap" /root/etc/fstab.d/swap > /root/etc/fstab.d/swap.tmp
+ mv /root/etc/fstab.d/swap.tmp /root/etc/fstab.d/swap
fi
# Add new swap entries
for _DEVICE in ${_SWAP_DEVICES}
do
- echo "${_DEVICE} swap swap defaults 0 0" >> "${_FSTAB}"
+ echo "${_DEVICE} swap swap defaults 0 0" >> /root/etc/fstab.d/swap
done
}
diff --git a/scripts/boot/9990-fstab.sh b/scripts/boot/9990-fstab.sh
index dc3f07b..5ae9546 100755
--- a/scripts/boot/9990-fstab.sh
+++ b/scripts/boot/9990-fstab.sh
@@ -13,25 +13,16 @@ Fstab ()
return
fi
- if [ -e /run ]
- then
- # wheezy
- _FSTAB="/root/etc/fstab.d/live"
- else
- # squeeze
- _FSTAB="/root/etc/fstab"
- fi
-
log_begin_msg "Configuring fstab"
- if ! grep -qs "^${UNIONTYPE}" "${_FSTAB}"
+ if ! grep -qs "^${UNIONTYPE}" /root/etc/fstab.d/live
then
- echo "${UNIONTYPE} / ${UNIONTYPE} rw 0 0" >> "${_FSTAB}"
+ echo "${UNIONTYPE} / ${UNIONTYPE} rw 0 0" >> /root/etc/fstab.d/live
fi
- if ! grep -qs "^tmpfs /tmp" "${_FSTAB}"
+ if ! grep -qs "^tmpfs /tmp" /root/etc/fstab.d/live
then
- echo "tmpfs /tmp tmpfs nosuid,nodev 0 0" >> "${_FSTAB}"
+ echo "tmpfs /tmp tmpfs nosuid,nodev 0 0" >> /root/etc/fstab.d/live
fi
log_end_msg
diff --git a/scripts/boot/9990-misc-helpers.sh b/scripts/boot/9990-misc-helpers.sh
index 4429c33..c40b98e 100755
--- a/scripts/boot/9990-misc-helpers.sh
+++ b/scripts/boot/9990-misc-helpers.sh
@@ -99,16 +99,7 @@ is_nice_device ()
{
sysfs_path="${1#/sys}"
- if [ -e /lib/udev/path_id ]
- then
- # squeeze
- PATH_ID="/lib/udev/path_id"
- else
- # wheezy/sid (udev >= 174)
- PATH_ID="/sbin/udevadm test-builtin path_id"
- fi
-
- if ${PATH_ID} "${sysfs_path}" | egrep -q "ID_PATH=(usb|pci-[^-]*-(ide|sas|scsi|usb|virtio)|platform-sata_mv|platform-orion-ehci|platform-mmc|platform-mxsdhci)"
+ if /sbin/udevadm test-builtin path_id "${sysfs_path}" | egrep -q "ID_PATH=(usb|pci-[^-]*-(ide|sas|scsi|usb|virtio)|platform-sata_mv|platform-orion-ehci|platform-mmc|platform-mxsdhci)"
then
return 0
elif echo "${sysfs_path}" | grep -q '^/block/vd[a-z]$'
diff --git a/scripts/boot/9990-networking.sh b/scripts/boot/9990-networking.sh
index f32ae6c..d9607b7 100755
--- a/scripts/boot/9990-networking.sh
+++ b/scripts/boot/9990-networking.sh
@@ -111,10 +111,6 @@ do_netsetup ()
for interface in ${DEVICE}; do
ipconfig -t "$ETHDEV_TIMEOUT" ${interface} | tee /netboot-${interface}.config
- # squeeze
- [ -e /tmp/net-${interface}.conf ] && . /tmp/net-${interface}.conf
-
- # wheezy
[ -e /run/net-${interface}.conf ] && . /run/net-${interface}.conf
if [ "$IPV4ADDR" != "0.0.0.0" ]
@@ -129,10 +125,6 @@ do_netsetup ()
# source relevant ipconfig output
OLDHOSTNAME=${HOSTNAME}
- # squeeze
- [ -e /tmp/net-${interface}.conf ] && . /tmp/net-${interface}.conf
-
- # wheezy
[ -e /run/net-${interface}.conf ] && . /run/net-${interface}.conf
[ -z ${HOSTNAME} ] && HOSTNAME=${OLDHOSTNAME}
--
live-boot
More information about the debian-live-changes
mailing list